import express, { json } from 'express';
import 'dotenv/config'

import { router } from './routes'
import { handleError } from './utils/errorHandler'
import { connect } from './connect';

const app = express();

const port = process.env.PORT || 3000;

app.use(json({ limit: '100kb' }))

app.use(router)

app.use(handleError)

const start = async () => {
    console.log('starting...')
    await connect()

    app.listen(port, () => {
        console.log(`App is running on port http://localhost:${port}`);
    })
}

start()
