import { Schema, model } from 'mongoose'

const schema = new Schema({
    title: {type: String, required: true },
    description: String,
    created: { type: Date, default: () => new Date().toISOString() },
    done: { type: Boolean, default: false },
    // createdBy: { type: Schema.Types.ObjectId, required: true, ref: 'User' }
    deleted: { type: Boolean, default: false }
})

schema.virtual('id').get(function () {
    return this._id.toHexString()
})

schema.set('toJSON', {
    virtuals: true,
    versionKey: false,
    transform: (doc, ret) => {
        delete ret._id
    }
})

export default model('Item', schema)
